Bug 241383 - Useless warning about summary and folder mismatch
Summary: Useless warning about summary and folder mismatch
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-25 16:00 UTC by Bastien Nocera
Modified: 2008-08-02 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-17 15:49:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 213072 None None None Never

Description Bastien Nocera 2007-05-25 16:00:43 UTC
evolution-2.8.3-2.fc6
evolution-data-server-1.8.3-4.fc6

When coming out of the "Devel-Perso" folder, on the local system, I get the error:
Error while Storing folder 'Devel-Perso'.
Summary and folder mismatch, even after a sync

I don't know what it means, and I don't know how to fix it. I wasn't able to
reproduce the problem after restarting evolution.

Comment 1 Matthew Barnes 2007-05-25 18:15:12 UTC
Possibly local data corruption.  We're looking for a less intrusive way to
report crap like this to the user.  Hopefully a solution will land in GNOME 2.20.

The error message is coming from Camel.  I'll see if I can track it down.

Comment 2 Andre Klapper 2007-08-03 20:55:08 UTC
the less intrusive error reporting is
http://bugzilla.gnome.org/show_bug.cgi?id=247373 and has been punted to 2.12,
unfortunately.
this report here is http://bugzilla.gnome.org/show_bug.cgi?id=213072 which is
VERY hard to track. having a debug patch that could be applied by advanced users
that compile from source to hunt this down would be my favourite option...

workaround is described at
http://www.go-evolution.org/FAQ#Why_do_I_get_an_error_.22Summary_and_folder_mismatch.2C_even_after_a_sync.22.3F

Comment 3 Andre Klapper 2007-08-03 20:56:05 UTC
(note to myself: what's that funky "External Bugzilla References" field for?
let's try, andre)

Comment 4 Bastien Nocera 2007-08-03 22:37:48 UTC
Andre! More beers for you! :)

Comment 5 Andre Klapper 2007-08-03 23:10:56 UTC
cool, where's the beer bank for guadec 2008? yay...

Comment 6 Milan Crha 2007-11-21 11:38:45 UTC
I would like suggest to close this as upstream, I saw a discussion about 213072
and it seems to me that next release will include such fix; even it's still a
discussion, no coding started yet. Andre also added new bug to improve error
messages in Evolution, see http://bugzilla.gnome.org/show_bug.cgi?id=497810

What do you think Bastien, can we close this?

Comment 7 Bastien Nocera 2007-12-17 15:49:26 UTC
Fine by me. I haven't seen this bug for a while anyway.


Note You need to log in before you can comment on or make changes to this bug.